Qyra
Referencev2

Get results

Retrieves paginated results from a previously executed async query using its UUID

GET/api/v2/projects/{projectUuid}/query/{queryUuid}

Authentication: personal access token. The spec defines an api_key security scheme — send an Authorization: ApiKey <your-personal-access-token> header (value format: ApiKey <your key>). A session_cookie scheme (connect.sid) exists for browser sessions. Operations in this spec declare security: [], an artifact of the upstream spec generator — authentication is still enforced by the server.

Path parameters

NameTypeRequiredDescription
projectUuidstringYes
queryUuidstringYesThe UUID of the async query to retrieve results for

Query parameters

NameTypeRequiredDescription
pagenumberNoPage number for pagination (starts at 1)
pageSizenumberNoNumber of results per page (default: 500, max: 5000)

Responses

200 — Success

{
  "results": {
    "page": 0,
    "pageSize": 0,
    "totalResults": 0,
    "totalPageCount": 0,
    "previousPage": 0,
    "nextPage": 0,
    "pivotDetails": {
      "passthroughDimensions": [
        {
          "reference": "string"
        }
      ],
      "originalColumns": {
        "property": {
          "provenance": {
            "sourceQueryUuid": "string",
            "fieldId": "string"
          },
          "shiftsTimezone": true,
          "timeInterval": "RAW",
          "formatOptions": {
            "type": "default",
            "round": 0,
            "separator": "default",
            "currency": "string",
            "compact": "auto",
            "prefix": "string",
            "suffix": "string",
            "timeInterval": "RAW",
            "custom": "string"
          },
          "separator": "default",
          "format": "string",
          "label": "string",
          "numericKind": {
            "kind": "integer"
          },
          "type": "string",
          "reference": "string"
        }
      },
      "sortBy": [
        {
          "pivotValues": [
            {
              "value": "string",
              "reference": "string"
            }
          ],
          "nullsFirst": true,
          "direction": "ASC",
          "reference": "string"
        }
      ],
      "groupByColumns": [
        {
          "reference": "string"
        }
      ],
      "valuesColumns": [
        {
          "columnIndex": 0,
          "pivotValues": [
            {
              "formatted": "string",
              "value": "string",
              "referenceField": "string"
            }
          ],
          "aggregation": "sum",
          "pivotColumnName": "string",
          "referenceField": "string"
        }
      ],
      "indexColumn": {
        "type": "time",
        "reference": "string"
      },
      "totalColumnCount": 0
    },
    "status": "ready",
    "metadata": {
      "preAggregate": {
        "fallbackReason": {},
        "execution": "duckdb"
      },
      "performance": {
        "queueTimeMs": 0,
        "resultsPageExecutionMs": 0,
        "initialQueryExecutionMs": 0
      }
    },
    "resolvedTimezone": "string",
    "rows": [
      {
        "property": {
          "value": {
            "formatted": "string",
            "raw": "string"
          }
        }
      }
    ],
    "columns": {
      "property": {
        "provenance": {
          "sourceQueryUuid": "string",
          "fieldId": "string"
        },
        "shiftsTimezone": true,
        "timeInterval": "RAW",
        "formatOptions": {
          "type": "default",
          "round": 0,
          "separator": "default",
          "currency": "string",
          "compact": "auto",
          "prefix": "string",
          "suffix": "string",
          "timeInterval": "RAW",
          "custom": "string"
        },
        "separator": "default",
        "format": "string",
        "label": "string",
        "numericKind": {
          "kind": "integer"
        },
        "type": "string",
        "reference": "string"
      }
    },
    "queryUuid": "string"
  },
  "status": "ok"
}

default — Error

{
  "error": {
    "data": "string",
    "message": "string",
    "name": "string",
    "statusCode": 0
  },
  "status": "error"
}